org.apache.xpath.functions

## Class FunctionDef1Arg

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.functions.Function
    - - org.apache.xpath.functions.FunctionOneArg
      - - org.apache.xpath.functions.FunctionDef1Arg

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, ExpressionNode, ExpressionOwner, XPathVisitable
  Direct Known Subclasses:
    FuncDoclocation, FuncGenerateId, FuncLocalPart, FuncNamespace, FuncNormalizeSpace, FuncNumber, FuncQname, FuncString, FuncStringLength

      public class FunctionDef1Arg
      extends FunctionOneArg

  Base class for functions that accept one argument that can be defaulted if not specified.
  See Also:
    Serialized Form
  Usage:
    **For advanced use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionDef1Arg()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `Arg0IsNodesetExpr()` Tell if the expression is a nodeset expression.
    `boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
    `void` | `checkNumberArgs(int argNum)` Check that the number of arguments passed to this function is correct.

    - ### Methods inherited from class org.apache.xpath.functions.FunctionOneArg

      `callArgVisitors, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

    - ### Methods inherited from class org.apache.xpath.functions.Function

      `callVisitors, execute, postCompileStep`

    - ### Methods inherited from class org.apache.xpath.Expression

      `asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionDef1Arg

          public FunctionDef1Arg()

  - ### Method Detail

    - #### Arg0IsNodesetExpr

          public boolean Arg0IsNodesetExpr()

      Tell if the expression is a nodeset expression.
      Returns:
        true if the expression can be represented as a nodeset.

    - #### checkNumberArgs

          public void checkNumberArgs(int argNum)
                               throws WrongNumberArgsException

      Check that the number of arguments passed to this function is correct.
      Overrides:
        `checkNumberArgs` in class `FunctionOneArg`
      Parameters:
        `argNum` - The number of arguments that is being passed to the function.
      Throws:
        `WrongNumberArgsException` - if the number of arguments is not 0 or 1.

    - #### canTraverseOutsideSubtree

          public boolean canTraverseOutsideSubtree()

      Tell if this expression or it's subexpressions can traverse outside the current subtree.
      Overrides:
        `canTraverseOutsideSubtree` in class `FunctionOneArg`
      Returns:
        true if traversal outside the context node's subtree can occur.

Copyright © 2023 Apache XML Project. All Rights Reserved.